Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.openbase
Class OpenBaseQualifierTranslator

    java.lang.Object
      org.apache.cayenne.access.trans.QueryAssemblerHelper
          org.apache.cayenne.access.trans.QualifierTranslator
              org.apache.cayenne.dba.openbase.OpenBaseQualifierTranslator

All Implemented Interfaces:
  TraversalHandler

    public class OpenBaseQualifierTranslator

extends QualifierTranslator

Translates query qualifier to SQL. Used as a helper class by query translators.

Since:
  1.1
Author:
  Mike Kienenberger, Andrei Adamchik

Field Summary

Fields inherited from class org.apache.cayenne.access.trans.QualifierTranslator
`matchingObject, objectMatchTranslator, qualBuf, translateParentQual`

Fields inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`queryAssembler`

Constructor Summary
`OpenBaseQualifierTranslator()`
`OpenBaseQualifierTranslator(QueryAssembler queryAssembler)`

Method Summary
`protected void` | `appendLiteralDirect(java.lang.StringBuffer buf, java.lang.Object val, DbAttribute attr, Expression parentExpression)` Appends SQL code to the query buffer to handle `val` as a parameter to the PreparedStatement being built.
`void` | `endNode(Expression node, Expression parentNode)` Called during the traversal after an expression node children processing is finished.
`void` | `finishedChild(Expression node, int childIndex, boolean hasMoreChildren)` Opportunity to insert an operation
`void` | `startNode(Expression node, Expression parentNode)` Called during the traversal before an expression node children processing is started.

Methods inherited from class org.apache.cayenne.access.trans.QualifierTranslator
`appendLiteral, appendObjectMatch, detectObjectMatch, doTranslation, extractQualifier, getObjEntity, isTranslateParentQual, objectNode, parenthesisNeeded, processRelTermination, setTranslateParentQual`

Methods inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`appendDbPath, appendObjPath, getDbEntity, getQueryAssembler, paramsDbType, processColumn, processColumn, processColumn, processRelTermination, setQueryAssembler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenBaseQualifierTranslator

    public OpenBaseQualifierTranslator()

### OpenBaseQualifierTranslator

    public OpenBaseQualifierTranslator(QueryAssembler queryAssembler)

Method Detail

### startNode

    public void startNode(Expression node,
                          Expression parentNode)

  Description copied from interface: `TraversalHandler`
  Called during the traversal before an expression node children processing is started.

  Specified by:
    `startNode` in interface `TraversalHandler`
  Overrides:
    `startNode` in class `QualifierTranslator`

### endNode

    public void endNode(Expression node,
                        Expression parentNode)

  Description copied from interface: `TraversalHandler`
  Called during the traversal after an expression node children processing is finished.

  Specified by:
    `endNode` in interface `TraversalHandler`
  Overrides:
    `endNode` in class `QualifierTranslator`

### appendLiteralDirect

    protected void appendLiteralDirect(java.lang.StringBuffer buf,
                                       java.lang.Object val,
                                       DbAttribute attr,
                                       Expression parentExpression)

  Description copied from class: `QueryAssemblerHelper`
  Appends SQL code to the query buffer to handle `val` as a parameter to the PreparedStatement being built. Adds `val` into QueryAssembler parameter list.

  Overrides:
    `appendLiteralDirect` in class `QueryAssemblerHelper`
  Parameters:
    `buf` - query buffer
    `val` - object that should be appended as a literal to the query. Must be of one of "standard JDBC" types. Can not be null.

### finishedChild

    public void finishedChild(Expression node,
                              int childIndex,
                              boolean hasMoreChildren)

  Description copied from class: `QualifierTranslator`
  Opportunity to insert an operation

  Specified by:
    `finishedChild` in interface `TraversalHandler`
  Overrides:
    `finishedChild` in class `QualifierTranslator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.